> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shadeform.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /sshkeys/{id}/info

> Get details for the specified SSH Key in the url.



## OpenAPI

````yaml get /sshkeys/{id}/info
openapi: 3.0.0
info:
  description: >-
    Shadeform is a single API and platform for deploying and managing cloud
    GPUs.
  version: 1.0.0
  title: Shadeform API
  contact:
    name: Shadeform
    email: support@shadeform.ai
    url: https://www.shadeform.ai
servers:
  - description: Shadeform Production
    url: https://api.shadeform.ai/v1
security:
  - ApiKeyAuth: []
paths:
  /sshkeys/{id}/info:
    parameters:
      - in: path
        name: id
        required: true
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
        schema:
          type: string
          minimum: 1
        description: The ssh key id
    get:
      summary: /sshkeys/{id}/info
      description: Get details for the specified SSH Key in the url.
      operationId: SshKeysInfo
      responses:
        '200':
          description: Return an SshKey object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SshKey'
components:
  schemas:
    SshKey:
      type: object
      required:
        - id
        - name
        - public_key
        - is_default
      properties:
        id:
          $ref: '#/components/schemas/SshKeyID'
        name:
          $ref: '#/components/schemas/SshKeyName'
        public_key:
          $ref: '#/components/schemas/PublicKey'
        is_default:
          $ref: '#/components/schemas/IsDefault'
    SshKeyID:
      type: string
      example: 78a0dd5a-dbb1-4568-b55c-5e7e0a8b0c40
      description: The ID of the SSH Key.
    SshKeyName:
      type: string
      example: My ssh key
      description: The name of the SSH Key.
    PublicKey:
      type: string
      example: >-
        ssh-rsa
        AAAAB3NzaC1yc2EAAAABIwAAAQEAklOUpkDHrfHY17SbrmTIpNLTGK9Tjom/BWDSU
        GPl+nafzlHDTYW7hdI4yZ5ew18JH4JW9jbhUFrviQzM7xlELEVf4h9lFX5QVkbPppSwg0cda3
        Pbv7kOdJ/MTyBlWXFCR+HAo3FXRitBqxiX1nKhXpHAZsMciLq8V6RjsNAQwdsdMFvSlVK/7XA
        t3FaoJoAsncM1Q9x5+3V0Ww68/eIFmb1zuUFljQJKprrX88XypNDvjYNby6vw/Pb0rwert/En
        mZ+AW4OZPnTPI89ZPmVMLuayrD2cE86Z/il8b+gw3r3+1nKatmIkjn2so1d01QraTlMqVSsbx
        NrRFi9wrf+M7Q== schacon@mylaptop.local
      description: The public key.
    IsDefault:
      type: boolean
      example: false
      description: Indicates the default key.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````